<?php

namespace spec\Collector\Core\HealthCheck;

use PhpSpec\ObjectBehavior;
use Prophecy\Argument;

class CollectionSpec extends ObjectBehavior
{
    function it_should_return_zero_when_collection_is_empty()
    {
        $this->beConstructedWith([]);
        $this->count()->shouldBe(0);
    }

    function it_should_return_the_number_of_elements($health)
    {
        $health->beADoubleOf('Collector\Core\HealthCheck');
        $this->beConstructedWith([$health]);

        $this->count()->shouldBe(1);
        $this->current()->shouldHaveType('Collector\Core\HealthCheck');
    }
}
