<?php

namespace Collector\Core\Measurements;

use Collector\Core\Measure;

class UsedRam implements Measure
{
    private $used_ram_in_bytes;

    public function __construct($used_ram_in_bytes)
    {
        $this->used_ram_in_bytes = (float) $used_ram_in_bytes;
    }

    public function current()
    {
        return $this->used_ram_in_bytes;
    }
}