<?php

namespace Collector\Core\System;

use Collector\Core\System;

interface Repository
{
    public function add(System $system);

    public function findAll();

    public function findById(Id $system_id);

    public function update(Id $system_id, System $new_system);

    public function delete(Id $system_id);
}