<?php

$app = new Silex\Application();
$app->register(new Silex\Provider\RoutingServiceProvider());

$app->get('/', 'Collector\Infrastructure\Controller::indexAction')->bind('home');
$app->get('/systems', 'Collector\Infrastructure\Controller::listSystemsAction')->bind('systems');
$app->get('/systems/{id}', 'Collector\Infrastructure\Controller::showSystemAction')->bind('systems_by_id');
$app->post('/systems', 'Collector\Infrastructure\Controller::createSystemAction');
$app->delete('/systems/{id}', 'Collector\Infrastructure\Controller::deleteSystemAction');
$app->put('/systems/{id}', 'Collector\Infrastructure\Controller::replaceSystemAction');
$app->get('/systems/{id}/healths', 'Collector\Infrastructure\Controller::listHealthsAction')->bind('healths');
$app->post('/systems/{id}/healths', 'Collector\Infrastructure\Controller::createHealthAction');

return $app;