# Dissertation: Web Admin Component

*This repository is part of the three components that make my personal Dissertation.*

## Main objectives
Frontend application that allowes to Download the agent, register as regular user, and see all the machines added in the grid.
  
## How to install
Firs of all, download the project and cd in and download dependencies:

```bash
$ git clone git@bitbucket.org:aramirez/dissertation-web-admin.git
$ cd dissertation-informationweb-admin
```

As this project uses Vagrant and Ansible to be able to working in a virtual machine besides deploy the project to production, you need to install both [Vagrant](https://www.vagrantup.com/downloads.html) and [Ansible](http://docs.ansible.com/intro_installation.html).

Once you have installed Ansible, you should install a few Ansible components:

```bash
$ ansible-galaxy install aramirez-es.common
$ ansible-galaxy install aramirez-es.apache-php
$ ansible-galaxy install bennojoy.mysql
$ ansible-galaxy install carlosbuenosvinos.ansistrano-deploy
```

Finally, run vagrant in order to create the virtual machine:

```bash
$ vagrant up
```

Then, ssh to the machine and install the dependencies:
 
```bash
$ vagrant ssh
$ curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/bin --filename=composer
$ cd /var/www/admin.pfc.aramirez.es/current
$ composer install
```

## Launch 
As you have the virtual machine running, you can open your browser and type this url ```http://192.168.50.110```.