<?php

namespace spec\Collector\Core\System;

use PhpSpec\ObjectBehavior;
use Prophecy\Argument;

class CollectionSpec extends ObjectBehavior
{
    function it_should_return_zero_when_collection_is_empty()
    {
        $this->beConstructedWith([]);
        $this->count()->shouldBe(0);
    }

    function it_should_return_the_number_of_elements($system)
    {
        $system->beADoubleOf('Collector\Core\System');
        $this->beConstructedWith([$system]);

        $this->count()->shouldBe(1);
        $this->current()->shouldHaveType('Collector\Core\System');
    }
}
