<?php

namespace spec\Collector\Core\System;

use Collector\Core\System\Id;
use PhpSpec\ObjectBehavior;
use Prophecy\Argument;

class IdSpec extends ObjectBehavior
{
    function it_should_be_comparable()
    {
        $this->beConstructedWith('any_id');
        $this->equalsTo(new Id('another_id'))->shouldReturn(false);
        $this->equalsTo(new Id('any_id'))->shouldReturn(true);
    }

    function it_should_not_be_null()
    {
        $this->shouldThrow('\DomainException')->during('__construct', [null]);
    }
}
