<?php

namespace Collector\Core\Measurements;

use Collector\Core\Measure;

class UsedHdd implements Measure
{
    private $used_hdd_in_bytes;

    public function __construct($used_hdd_in_bytes)
    {
        $this->used_hdd_in_bytes = (float) $used_hdd_in_bytes;
    }

    public function current()
    {
        return $this->used_hdd_in_bytes;
    }
}