<?php

namespace Collector\Core\System;

class Id
{
    private $id;

    public function __construct($id)
    {
        // Todo: define and validate $id format.
        if (empty($id)) {
            throw new \DomainException('id cannot be null');
        }
        $this->id = (string) $id;
    }

    public function getId()
    {
        return $this->id;
    }

    public function equalsTo(Id $other)
    {
        return $this->getId() === $other->getId();
    }

    public function __toString()
    {
        return $this->getId();
    }


}
